<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>10. Functional Programming Modules &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="../_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="../_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="../about.html" />
    <link rel="copyright" title="Copyright" href="../copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="../contents.html" />
    <link rel="up" title="The Python Standard Library" href="index.html" />
    <link rel="next" title="10.1. itertools — Functions creating iterators for efficient looping" href="itertools.html" />
    <link rel="prev" title="9.7. statistics — Mathematical statistics functions" href="statistics.html" />
    <link rel="shortcut icon" type="image/png" href="../_static/py.png" />
    <script type="text/javascript" src="../_static/copybutton.js"></script>
    <script type="text/javascript" src="../_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="itertools.html" title="10.1. itertools — Functions creating iterators for efficient looping"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="statistics.html" title="9.7. statistics — Mathematical statistics functions"
             accesskey="P">previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">The Python Standard Library</a> &raquo;</li> 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="functional-programming-modules">
<h1>10. Functional Programming Modules<a class="headerlink" href="#functional-programming-modules" title="Permalink to this headline">¶</a></h1>
<p>The modules described in this chapter provide functions and classes that support
a functional programming style, and general operations on callables.</p>
<p>The following modules are documented in this chapter:</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="itertools.html">10.1. <code class="docutils literal"><span class="pre">itertools</span></code> &#8212; Functions creating iterators for efficient looping</a><ul>
<li class="toctree-l2"><a class="reference internal" href="itertools.html#itertool-functions">10.1.1. Itertool functions</a></li>
<li class="toctree-l2"><a class="reference internal" href="itertools.html#itertools-recipes">10.1.2. Itertools Recipes</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="functools.html">10.2. <code class="docutils literal"><span class="pre">functools</span></code> &#8212; Higher-order functions and operations on callable objects</a><ul>
<li class="toctree-l2"><a class="reference internal" href="functools.html#partial-objects">10.2.1. <code class="docutils literal"><span class="pre">partial</span></code> Objects</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="operator.html">10.3. <code class="docutils literal"><span class="pre">operator</span></code> &#8212; Standard operators as functions</a><ul>
<li class="toctree-l2"><a class="reference internal" href="operator.html#mapping-operators-to-functions">10.3.1. Mapping Operators to Functions</a></li>
<li class="toctree-l2"><a class="reference internal" href="operator.html#inplace-operators">10.3.2. Inplace Operators</a></li>
</ul>
</li>
</ul>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="statistics.html"
                        title="previous chapter">9.7. <code class="docutils literal"><span class="pre">statistics</span></code> &#8212; Mathematical statistics functions</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="itertools.html"
                        title="next chapter">10.1. <code class="docutils literal"><span class="pre">itertools</span></code> &#8212; Functions creating iterators for efficient looping</a></p>
<h3>This Page</h3>
<ul class="this-page-menu">
  <li><a href="../bugs.html">Report a Bug</a></li>
  <li><a href="../_sources/library/functional.txt"
         rel="nofollow">Show Source</a></li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="itertools.html" title="10.1. itertools — Functions creating iterators for efficient looping"
             >next</a> |</li>
        <li class="right" >
          <a href="statistics.html" title="9.7. statistics — Mathematical statistics functions"
             >previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" >The Python Standard Library</a> &raquo;</li> 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="../copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 08, 2016.
    <a href="../bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>